On Tue, Dec 28, 2010 at 4:26 PM, Benoit Daloze <eregontp / gmail.com> wrote:
>
> This also happen with bson_ext, and probably many other gems.
>
> The failure when installing is not very clear, I searched the origin
> of the issue a while and finally remembered this thread.
>
> Why to stop the build instead of just giving a warning
> ("-Werror=declaration-after-statement" instead of
> "-Wdeclaration-after-statement") ?
>
> Also, how is one UN*X extension developer supposed to deal with this
> error if he does not want to be compatible with VC ?
>

I like your proposal about making it a warning instead of an error,
but not certain sure about not considering VC compatibility.

You see, GCC on Windows tries to be compatible with VC, so certain
things are good in this area.

Creating code (generally speaking) will increase the pile of work I
need to do to help others.

Why not play nice and help me out? After all, will be a warning for
you to ignore *or* a helpful gesture from you to help me out.

Thank you.
-- 
Luis Lavena
AREA 17
-
Perfection in design is achieved not when there is nothing more to add,
but rather when there is nothing more to take away.
Antoine de Saint-Exupy